mat-form-field {
  text-align: right;
  font-family: iranSans;
}

mat-form-field /deep/ .mat-form-field-label-wrapper,
mat-form-field /deep/ input,
mat-form-field /deep/ textarea {
  font-size: $text-size-sm;
}

mat-form-field /deep/ textarea {
  overflow-y: hidden;
}

mat-form-field /deep/ div.mat-form-field-flex {
  padding: 0 5px;
}

mat-error {
  margin-top: 5px;
  font-size: $text-size-sm;
}

label {
  font-family: iranSans;
  font-size: $text-size-sm;
  padding-bottom: 10px;
}

mat-radio-button {
  font-size: $text-size-sm;
  font-family: iranSans;
  margin: 0 10px;
}

mat-radio-button /deep/ .mat-radio-label-content {
  padding: 0 10px;
}
@media screen and (min-width: 450px) and (max-width: 768px) {
  label,
  mat-form-field /deep/ .mat-form-field-label-wrapper,
  mat-form-field /deep/ input,
  mat-form-field /deep/ textarea,
  mat-radio-button {
    font-size: $text-size-m;
  }

  mat-form-field /deep/ div.mat-form-field-flex {
    padding: 0 8px;
  }

  label {
    padding-bottom: 15px;
  }
}
@media screen and (min-width: 769px) and (max-width: 992px) {
  label,
  mat-form-field /deep/ .mat-form-field-label-wrapper,
  mat-form-field /deep/ input,
  mat-form-field /deep/ textarea,
  mat-radio-button {
    font-size: $text-size-lg;
  }

  mat-form-field /deep/ div.mat-form-field-flex {
    padding: 0 10px;
  }

  label {
    padding-bottom: 20px;
  }

  mat-radio-button {
    margin: 0 15px;
  }
}
@media screen and (min-width: 992px) and (max-width: 1200px) {
  label,
  mat-form-field /deep/ .mat-form-field-label-wrapper,
  mat-form-field /deep/ input,
  mat-form-field /deep/ textarea,
  mat-radio-button {
    font-size: $text-size-xlg;
  }

  mat-form-field /deep/ div.mat-form-field-flex {
    padding: 0 12px;
  }

  label {
    padding-bottom: 20px;
  }

  mat-radio-button {
    margin: 0 15px;
  }
}
@media screen and (min-width: 1200px) {
  label,
  mat-form-field /deep/ .mat-form-field-label-wrapper,
  mat-form-field /deep/ input,
  mat-form-field /deep/ textarea,
  mat-radio-button {
    font-size: $text-size-xlg;
  }

  mat-form-field /deep/ div.mat-form-field-flex {
    padding: 0 12px;
  }

  label {
    padding-bottom: 20px;
  }

  mat-radio-button {
    margin: 0 20px;
  }
}
